# Enable ephemeral TTL for all workspaces in a project

Enqueues a background job that configures ephemeral destroy/delete schedules for every workspace in the project.

Endpoint: PUT /iacm/api/orgs/{org}/projects/{project}/settings/ephemeral-config
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "ta"

  - `project` (string, required)
    Project is the project identifier.
    Example: "ekm"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "9"

## Request fields (application/json):

  - `delete_delay_unit` (string)
    Unit for delete delay
    Enum: "hours", "days"

  - `delete_delay_value` (integer)
    Delete workspace after N hours or days from now
    Example: 2529118720268487700

  - `delete_on_date` (string)
    Specific date to delete workspace (ISO 8601 format, e.g. 2026-09-02)
    Example: "Qui consequatur qui nostrum."

  - `delete_workspace` (boolean)
    Whether to delete the workspace record after infrastructure is destroyed
    Example: true

  - `destroy_delay_unit` (string)
    Unit for destroy delay
    Enum: "hours", "days"

  - `destroy_delay_value` (integer)
    Destroy infrastructure after N hours or days from now
    Example: 6670333690705691000

  - `destroy_on_date` (string)
    Specific date to destroy infrastructure (ISO 8601 format, e.g. 2026-08-24)
    Example: "Odio quia."

  - `pipeline_id` (string, required)
    Pipeline to run for destroying infrastructure
    Example: "Reprehenderit qui sit quas."

## Response 202 fields (application/json):

  - `job_id` (integer, required)
    Background job identifier
    Example: 1708858057197525500

  - `status` (string, required)
    Outcome message
    Example: "Exercitationem ab."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


